FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 04-11-2011, 01:24 PM
Timothy Murphy
 
Default Yum query

When I run "sudo yum update" I get a small number of errors like
----------------------------------
Error: Package: xine-lib-1.1.19-22.fc14.i686 (@atrpms)
Requires: libfusion-1.4.so.0
Removing: directfb-1.4.11-2.fc14.i686 (@updates)
libfusion-1.4.so.0
Updated By: directfb-1.4.11-3.fc14.i686 (updates)
Not found
Available: directfb-1.4.3-1.fc14.i686 (fedora)
libfusion-1.4.so.0
----------------------------------

I know I can (and do) yum-update by adding --skip-broken .
But I'd be interested to know how I should deal with this error.
Is there documentation covering this kind of question?

If I try "yum remove xine-lib", yum asks to remove 330MB of files,
including a whole raft of KDE applications.

I must have installed xine-lib from atrpms at some time in the distant past;
the repo is not currently enabled, and hasn't been for months if not years.



--
Timothy Murphy
e-mail: gayleard /at/ eircom.net
tel: +353-86-2336090, +353-1-2842366
s-mail: School of Mathematics, Trinity College, Dublin 2, Ireland

--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 
Old 04-11-2011, 01:38 PM
Michael Cronenworth
 
Default Yum query

Timothy Murphy wrote:
> I know I can (and do) yum-update by adding --skip-broken .
> But I'd be interested to know how I should deal with this error.
> Is there documentation covering this kind of question?

man yum

Try: yum reinstall xine-lib
or: yum downgrade xine-lib

One of those commands should allow you to get the fedora xine-lib back.
--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 
Old 04-11-2011, 03:41 PM
Timothy Murphy
 
Default Yum query

Michael Cronenworth wrote:

> Timothy Murphy wrote:
>> I know I can (and do) yum-update by adding --skip-broken .
>> But I'd be interested to know how I should deal with this error.
>> Is there documentation covering this kind of question?
>
> Try: yum reinstall xine-lib
> or: yum downgrade xine-lib

Thanks very much.
The first didn't work, but the second did.

--
Timothy Murphy
e-mail: gayleard /at/ eircom.net
tel: +353-86-2336090, +353-1-2842366
s-mail: School of Mathematics, Trinity College, Dublin 2, Ireland

--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 

Thread Tools




All times are GMT. The time now is 07:16 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org